libosmocore 1.13.1.1-afb4 Osmocom core library

Data Fields
osmo_sock_init2_multiaddr_pars Struct Reference
Socket convenience functions

`#include <socket.h>`

## Data Fields
union {
struct {
uint8_t version
struct {
bool set
bool abort_on_failure
uint32_t value
} sockopt_auth_supported
struct {
bool set
bool abort_on_failure
uint32_t value
} sockopt_asconf_supported
struct {
bool set
bool abort_on_failure
bool num_ostreams_present
bool max_instreams_present
bool max_attempts_present
bool max_init_timeo_present
uint16_t num_ostreams_value
uint16_t max_instreams_value
uint16_t max_attempts_value
uint16_t max_init_timeo_value
} sockopt_initmsg
} sctp
}; |

## Field Documentation

## ◆

union { ... } osmo_sock_init2_multiaddr_pars::@30

## ◆ abort_on_failure

bool osmo_sock_init2_multiaddr_pars::abort_on_failure

## ◆ max_attempts_present

bool osmo_sock_init2_multiaddr_pars::max_attempts_present

## ◆ max_attempts_value

uint16_t osmo_sock_init2_multiaddr_pars::max_attempts_value

## ◆ max_init_timeo_present

bool osmo_sock_init2_multiaddr_pars::max_init_timeo_present

## ◆ max_init_timeo_value

uint16_t osmo_sock_init2_multiaddr_pars::max_init_timeo_value

## ◆ max_instreams_present

bool osmo_sock_init2_multiaddr_pars::max_instreams_present

## ◆ max_instreams_value

uint16_t osmo_sock_init2_multiaddr_pars::max_instreams_value

## ◆ num_ostreams_present

bool osmo_sock_init2_multiaddr_pars::num_ostreams_present

## ◆ num_ostreams_value

uint16_t osmo_sock_init2_multiaddr_pars::num_ostreams_value

## ◆

struct { ... } osmo_sock_init2_multiaddr_pars::sctp

## ◆ set

bool osmo_sock_init2_multiaddr_pars::set

## ◆

struct { ... } osmo_sock_init2_multiaddr_pars::sockopt_asconf_supported

## ◆

struct { ... } osmo_sock_init2_multiaddr_pars::sockopt_auth_supported

## ◆

struct { ... } osmo_sock_init2_multiaddr_pars::sockopt_initmsg

## ◆ value

uint32_t osmo_sock_init2_multiaddr_pars::value

## ◆ version

uint8_t osmo_sock_init2_multiaddr_pars::version

The documentation for this struct was generated from the following file:

- include/osmocom/core/socket.h